%bcond_without check

%global goipath         github.com/blang/semver
Version:                4.0.0

%gometa

%global common_description %{expand:
Semver is a Semantic Versioning library written in Go. It fully covers spec
version 2.0.0.}

%global golicenses      LICENSE
%global godocs          examples README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Semantic Versioning library written in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
